Rai Content Filters - List

Typer av filter för listinnehåll.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.CognitiveServices/locations/{location}/raiContentFilters?api-version=2025-06-01

URI-parametrar

Name I Obligatorisk Typ Description
location
path True

string

Resursens plats.

subscriptionId
path True

string

minLength: 1

ID för målprenumerationen.

api-version
query True

string

minLength: 1

Den API-version som ska användas för den här åtgärden.

Svar

Name Typ Description
200 OK

RaiContentFilterListResult

OKEJ.

Other Status Codes

ErrorResponse

Felsvar som beskriver varför åtgärden misslyckades.

Exempel

ListRaiContentFilters

Exempelbegäran

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters?api-version=2025-06-01

Exempelsvar

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/Hate",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "Hate",
      "properties": {
        "name": "Hate",
        "isMultiLevelFilter": true
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/Sexual",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "Sexual",
      "properties": {
        "name": "Sexual",
        "isMultiLevelFilter": true
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/Violence",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "Violence",
      "properties": {
        "name": "Violence",
        "isMultiLevelFilter": true
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/Selfharm",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "Selfharm",
      "properties": {
        "name": "Selfharm",
        "isMultiLevelFilter": true
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/Jailbreak",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "Jailbreak",
      "properties": {
        "name": "Jailbreak",
        "isMultiLevelFilter": false,
        "source": "Prompt"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/ProtectedMaterialText",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "ProtectedMaterialText",
      "properties": {
        "name": "Protected Material Text",
        "isMultiLevelFilter": false,
        "source": "Completion"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/ProtectedMaterialCode",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "ProtectedMaterialCode",
      "properties": {
        "name": "Protected Material Code",
        "isMultiLevelFilter": false,
        "source": "Completion"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/Profanity",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "Profanity",
      "properties": {
        "name": "Profanity",
        "isMultiLevelFilter": false
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/raiContentFilters/IndirectAttack",
      "type": "Microsoft.CognitiveServices/locations/raiContentFilters",
      "name": "IndirectAttack",
      "properties": {
        "name": "Indirect Attack",
        "isMultiLevelFilter": false,
        "source": "Prompt"
      }
    }
  ]
}

Definitioner

Name Description
ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

ErrorDetail

Felinformationen.

ErrorResponse

Felsvar

Properties

Egenskaper för Azure OpenAI-innehållsfilter.

RaiContentFilter

Azure OpenAI-innehållsfilter.

RaiContentFilterListResult

Listan över innehållsfilter.

RaiPolicyContentSource

Innehållskälla för att tillämpa innehållsfiltren.

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

Name Typ Description
info

object

Ytterligare information.

type

string

Ytterligare informationstyp.

ErrorDetail

Felinformationen.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Ytterligare information om felet.

code

string

Felkoden.

details

ErrorDetail[]

Felinformationen.

message

string

Felmeddelandet.

target

string

Felmålet.

ErrorResponse

Felsvar

Name Typ Description
error

ErrorDetail

Felobjektet.

Properties

Egenskaper för Azure OpenAI-innehållsfilter.

Name Typ Description
isMultiLevelFilter

boolean

Om innehållsfiltret har flera allvarlighetsnivåer (låg, medel eller hög).

name

string

Namn på innehållsfilter.

source

RaiPolicyContentSource

Innehållskälla för att tillämpa innehållsfiltren.

RaiContentFilter

Azure OpenAI-innehållsfilter.

Name Typ Description
id

string

Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Namnet på resursen

properties

Properties

Egenskaper för Azure OpenAI-innehållsfilter.

type

string

Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts"

RaiContentFilterListResult

Listan över innehållsfilter.

Name Typ Description
nextLink

string

Länken som används för att hämta nästa sida med innehållsfilter.

value

RaiContentFilter[]

Listan över RaiContentFilter.

RaiPolicyContentSource

Innehållskälla för att tillämpa innehållsfiltren.

Värde Description
Prompt
Completion